# swagger-client
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:

```python
import dlxapi 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:

```python
import dlxapi
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import dlxapi
from dlxapi.rest import ApiException
from pprint import pprint

# Configure OAuth2 access token for authorization: OAuth2
configuration = dlxapi.Configuration()
configuration.access_token = 'YOUR_ACCESS_TOKEN'

# create an instance of the API class
api_instance = dlxapi.ActivitiesApi(dlxapi.ApiClient(configuration))
domains = ['domains_example'] # list[str] | List of domains for where activities need to be reindexed, if not provided reindex will be done for all domains (optional)

try:
    # Reindex activities. System Administator operation.
    api_response = api_instance.reindex_activities(domains=domains)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ActivitiesApi->reindex_activities: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:9005/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ActivitiesApi* | [**reindex_activities**](docs/ActivitiesApi.md#reindex_activities) | **POST** /reindex/activities | Reindex activities. System Administator operation.
*ApiActivityApi* | [**reset_api_activity_time**](docs/ApiActivityApi.md#reset_api_activity_time) | **POST** /apiActivity/reset | Reset last API Acitivity time
*AttachmentsApi* | [**create_attachment**](docs/AttachmentsApi.md#create_attachment) | **POST** /attachments | Creates a new attachment from a file upload
*AttachmentsApi* | [**download_attachment**](docs/AttachmentsApi.md#download_attachment) | **GET** /attachments/{id}/download | Downloads the file content of an Attachment
*AttachmentsApi* | [**get_attachment**](docs/AttachmentsApi.md#get_attachment) | **GET** /attachments/{id} | Get Attachment by id
*AttachmentsApi* | [**get_attachments**](docs/AttachmentsApi.md#get_attachments) | **GET** /attachments | Get Attachment by portfolio id
*AttachmentsApi* | [**update_attachment**](docs/AttachmentsApi.md#update_attachment) | **PATCH** /attachments/{id} | Update a single attachment
*ClassificationApi* | [**get_classification_data**](docs/ClassificationApi.md#get_classification_data) | **GET** /classification/{dataType} | Fetch classification training or testing data.
*CommentsApi* | [**create_comment**](docs/CommentsApi.md#create_comment) | **POST** /comments | Creates a new comment
*CommentsApi* | [**delete_comment**](docs/CommentsApi.md#delete_comment) | **DELETE** /comments/{id} | Delete a single comment
*CommentsApi* | [**get_comments**](docs/CommentsApi.md#get_comments) | **GET** /comments | Retrieves comments based on params
*CommentsApi* | [**update_comment**](docs/CommentsApi.md#update_comment) | **PATCH** /comments/{id} | Update a single comment
*DefaultApi* | [**create_category_option**](docs/DefaultApi.md#create_category_option) | **POST** /fields/{fieldId}/categoryOption | Creates a new category
*DefaultApi* | [**create_category_options**](docs/DefaultApi.md#create_category_options) | **POST** /fields/{fieldId}/categoryOptions | Creates new category options
*DefaultApi* | [**delete_category_option**](docs/DefaultApi.md#delete_category_option) | **DELETE** /fields/{fieldId}/categoryOptions/{categoryOptionId} | Delete a single category option
*DefaultApi* | [**get_category_option**](docs/DefaultApi.md#get_category_option) | **GET** /fields/{fieldId}/categoryOptions/{categoryOptionId} | Retrieves a category
*DefaultApi* | [**get_category_options_for_field**](docs/DefaultApi.md#get_category_options_for_field) | **GET** /fields/{fieldId}/categoryOptions | Retrieves categories for a field
*DefaultApi* | [**update_category_option**](docs/DefaultApi.md#update_category_option) | **PATCH** /fields/{fieldId}/categoryOptions/{categoryOptionId} | Update a single category
*FieldsApi* | [**create_field**](docs/FieldsApi.md#create_field) | **POST** /fields | Creates a new field in a portfolio.
*FieldsApi* | [**delete_field**](docs/FieldsApi.md#delete_field) | **DELETE** /fields/{id} | Delete a field. Also deletes the values for every project.
*FieldsApi* | [**get_field**](docs/FieldsApi.md#get_field) | **GET** /fields/{id} | Retrieves a field.
*FieldsApi* | [**get_fields_for_portfolio**](docs/FieldsApi.md#get_fields_for_portfolio) | **GET** /fields | Retrieves fields for a portfolio.
*FieldsApi* | [**set_idea_form_fields**](docs/FieldsApi.md#set_idea_form_fields) | **PUT** /fields/ideaForm | Set idea form fields for a portfolio.
*FieldsApi* | [**update_field**](docs/FieldsApi.md#update_field) | **PATCH** /fields/{id} | Updates a field utilizing JSON Patch Operations. If the update logic makes changes to other fields, all updated fields will be returned in the response. 
*FieldsApi* | [**update_fields**](docs/FieldsApi.md#update_fields) | **PATCH** /fields | Update fields associated with a portfolio.
*GroupsApi* | [**create_group**](docs/GroupsApi.md#create_group) | **POST** /groups | Creates a new group. System Administator operation.
*GroupsApi* | [**get_activities_for_group**](docs/GroupsApi.md#get_activities_for_group) | **GET** /groups/{id}/activities | Get activities for group. System Administator operation.
*GroupsApi* | [**get_groups**](docs/GroupsApi.md#get_groups) | **GET** /groups | Get groups. System Administator operation.
*GroupsApi* | [**get_users_for_group**](docs/GroupsApi.md#get_users_for_group) | **GET** /groups/{id}/users | Get users for group. System Administator operation.
*LogoutApi* | [**logout**](docs/LogoutApi.md#logout) | **GET** /oauth/logout | Logout
*MailApi* | [**send_mail**](docs/MailApi.md#send_mail) | **POST** /mail | Send mail
*MailApi* | [**send_registration_mail**](docs/MailApi.md#send_registration_mail) | **POST** /registrationMail | Send registration mail
*MappingsApi* | [**spreadsheet_to_mappings**](docs/MappingsApi.md#spreadsheet_to_mappings) | **POST** /mappings/spreadsheet | Accepts upload of spreadsheet and converts data into mappings.
*MappingsApi* | [**update_mapping**](docs/MappingsApi.md#update_mapping) | **PATCH** /mappings/{id} | Update mapping
*MessageTokensApi* | [**get_message_token**](docs/MessageTokensApi.md#get_message_token) | **GET** /messageTokens | Get message authorization token for a destination
*MessagesApi* | [**send_messages**](docs/MessagesApi.md#send_messages) | **POST** /messages | Send Message(s)
*NotificationsApi* | [**get_notifications**](docs/NotificationsApi.md#get_notifications) | **GET** /notifications | Retrieves portfolio notifications log.
*NotificationsApi* | [**reindex_notifications**](docs/NotificationsApi.md#reindex_notifications) | **POST** /reindex/notifications | Reindex notifications. System Administator operation.
*PlansApi* | [**export_whats_in**](docs/PlansApi.md#export_whats_in) | **GET** /portfolioPlans/whatsin/export | Export Whats In Comparison
*PlansApi* | [**get_grades_for_portfolio_plan**](docs/PlansApi.md#get_grades_for_portfolio_plan) | **GET** /portfolioPlans/{id}/grades | Retrieves grades for portfolio plan.
*PlansApi* | [**get_insights_for_portfolio_plan**](docs/PlansApi.md#get_insights_for_portfolio_plan) | **GET** /portfolioPlans/{id}/insights | Retrieves insights for portfolio plan.
*PlansApi* | [**get_value_insights_for_portfolio_plan**](docs/PlansApi.md#get_value_insights_for_portfolio_plan) | **GET** /portfolioPlans/{id}/insights/value | Retrieves value insights for portfolio plan.
*PlansApi* | [**get_whats_in**](docs/PlansApi.md#get_whats_in) | **GET** /portfolioPlans/whatsin | Retrieves portfolioPlans with projects for WhatsIn
*PodsApi* | [**import_pod_template**](docs/PodsApi.md#import_pod_template) | **PUT** /pods/template | Import pod template in JSON format
*PortfolioPlanUsersApi* | [**delete_portfolio_plan_user**](docs/PortfolioPlanUsersApi.md#delete_portfolio_plan_user) | **DELETE** /portfolioPlanUsers/{id} | Delete a portfolio plan user
*PortfolioPlanUsersApi* | [**update_portfolio_plan_users**](docs/PortfolioPlanUsersApi.md#update_portfolio_plan_users) | **PATCH** /portfolioPlanUsers/{id} | Update portfolio plan users
*PortfolioPlansApi* | [**add_portfolio_plan_users**](docs/PortfolioPlansApi.md#add_portfolio_plan_users) | **POST** /portfolioPlans/{id}/users | Add users to a portfolio plan.
*PortfolioPlansApi* | [**apply_recommendations_for_portfolio_plan**](docs/PortfolioPlansApi.md#apply_recommendations_for_portfolio_plan) | **POST** /portfolioPlans/{id}/recommendations | Apply recommendations of a portfolio plan.
*PortfolioPlansApi* | [**create_portfolio_plan**](docs/PortfolioPlansApi.md#create_portfolio_plan) | **POST** /portfolioPlans | Create a portfolio plan
*PortfolioPlansApi* | [**create_projects_in_portfolio_plan**](docs/PortfolioPlansApi.md#create_projects_in_portfolio_plan) | **POST** /portfolioPlans/{id}/projects | Create new projects
*PortfolioPlansApi* | [**delete_portfolio_plan**](docs/PortfolioPlansApi.md#delete_portfolio_plan) | **DELETE** /portfolioPlans/{id} | Deletes portfolio plan
*PortfolioPlansApi* | [**export_portfolio_plan**](docs/PortfolioPlansApi.md#export_portfolio_plan) | **GET** /portfolioPlans/{id}/export | Export portfolio plan
*PortfolioPlansApi* | [**get_budget_allocations_for_portfolio_plan**](docs/PortfolioPlansApi.md#get_budget_allocations_for_portfolio_plan) | **GET** /portfolioPlans/{id}/budgetAllocations | Retrieves budget allocations for a portfolio plan.
*PortfolioPlansApi* | [**get_minified_projects_for_portfolio_plan**](docs/PortfolioPlansApi.md#get_minified_projects_for_portfolio_plan) | **GET** /portfolioPlans/{id}/projects/minify | Retrieves minified projects contained within a portfolio plan.
*PortfolioPlansApi* | [**get_portfolio_plan**](docs/PortfolioPlansApi.md#get_portfolio_plan) | **GET** /portfolioPlans/{id} | Retrieves portfolio plan
*PortfolioPlansApi* | [**get_portfolio_plan_activities**](docs/PortfolioPlansApi.md#get_portfolio_plan_activities) | **GET** /portfolioPlans/{id}/activities | Retrieves portfolio plan activities log.
*PortfolioPlansApi* | [**get_portfolio_plan_users**](docs/PortfolioPlansApi.md#get_portfolio_plan_users) | **GET** /portfolioPlans/{id}/users | Retrieves users in a portfolio plan.
*PortfolioPlansApi* | [**get_portfolio_plans**](docs/PortfolioPlansApi.md#get_portfolio_plans) | **GET** /portfolioPlans | Retrieves portfolio plans
*PortfolioPlansApi* | [**get_project_for_portfolio_plan**](docs/PortfolioPlansApi.md#get_project_for_portfolio_plan) | **GET** /portfolioPlans/{portfolioPlanId}/projects/{projectId} | Retrieves project contained within a portfolio plan.
*PortfolioPlansApi* | [**get_project_portfolio_plans_for_portfolio_plan_and_portfolio**](docs/PortfolioPlansApi.md#get_project_portfolio_plans_for_portfolio_plan_and_portfolio) | **POST** /portfolioPlans/{portfolioPlanId}/portfolios/{portfolioId}/projectPortfolioPlans | Retrieves projects for portfolio plan
*PortfolioPlansApi* | [**get_projects_for_portfolio_plan**](docs/PortfolioPlansApi.md#get_projects_for_portfolio_plan) | **GET** /portfolioPlans/{id}/projects | Retrieves projects contained within a portfolio plan. Possible expand paths - (items.fieldValues, contributingUserIds)
*PortfolioPlansApi* | [**get_recommendations_for_portfolio_plan**](docs/PortfolioPlansApi.md#get_recommendations_for_portfolio_plan) | **GET** /portfolioPlans/{id}/recommendations | Retrieves recommendations for a portfolio plan.
*PortfolioPlansApi* | [**get_schedule_for_portfolio_plan**](docs/PortfolioPlansApi.md#get_schedule_for_portfolio_plan) | **GET** /portfolioPlans/{id}/schedule | Retrieves schedule for portfolio plan. The schedule is stored in a new portfolio plan.
*PortfolioPlansApi* | [**rebaseline_portfolio_plan**](docs/PortfolioPlansApi.md#rebaseline_portfolio_plan) | **POST** /portfolioPlans/{id}/rebaseline | Rebaseline a portfolio plan.
*PortfolioPlansApi* | [**update_portfolio_plan**](docs/PortfolioPlansApi.md#update_portfolio_plan) | **PATCH** /portfolioPlans/{id} | Updates a portfolio plan utilizing JSON Patch Operations. 
*PortfolioPlansApi* | [**update_portfolio_plan_field_values**](docs/PortfolioPlansApi.md#update_portfolio_plan_field_values) | **PATCH** /portfolioPlans/{id}/fieldValues | Update field values in a portfolio plan
*PortfolioPlansApi* | [**update_portfolio_plan_users**](docs/PortfolioPlansApi.md#update_portfolio_plan_users) | **PATCH** /portfolioPlans/{id}/users | Update users in a portfolio plan
*PortfoliosApi* | [**archive_portfolio**](docs/PortfoliosApi.md#archive_portfolio) | **DELETE** /portfolios/{id} | Archive a portfolio.
*PortfoliosApi* | [**create_portfolio**](docs/PortfoliosApi.md#create_portfolio) | **POST** /portfolios | Creates a new portfolio.
*PortfoliosApi* | [**export_portfolio_data**](docs/PortfoliosApi.md#export_portfolio_data) | **GET** /portfolios/{id}/pod | Export portfolio data in JSON format
*PortfoliosApi* | [**get_portfolio**](docs/PortfoliosApi.md#get_portfolio) | **GET** /portfolios/{id} | Retrieves a portfolio.
*PortfoliosApi* | [**get_portfolio_activities**](docs/PortfoliosApi.md#get_portfolio_activities) | **GET** /portfolios/{id}/activities | Retrieves portfolio activities log.
*PortfoliosApi* | [**get_portfolio_resource_pools**](docs/PortfoliosApi.md#get_portfolio_resource_pools) | **GET** /portfolios/{id}/resourcePools | (Deprecated. Use getResourcePoolsForPortfolioPlan) Retrieves resource pools in a portfolio.
*PortfoliosApi* | [**get_portfolios**](docs/PortfoliosApi.md#get_portfolios) | **GET** /portfolios | Get portfolios.
*PortfoliosApi* | [**get_projects_for_portfolio**](docs/PortfoliosApi.md#get_projects_for_portfolio) | **GET** /portfolios/{portfolioId}/projects | Retrieves projects for portfolio
*PortfoliosApi* | [**get_spreadsheet_report_for_portfolio**](docs/PortfoliosApi.md#get_spreadsheet_report_for_portfolio) | **GET** /portfolios/{portfolioId}/spreadsheet/{spreadsheetId}/report | Retrieves spreadsheet report for portfolio
*PortfoliosApi* | [**import_portfolio_data**](docs/PortfoliosApi.md#import_portfolio_data) | **POST** /portfolios/{id}/pod | Import portfolio data in JSON format
*PortfoliosApi* | [**regenerate_user_registration_token**](docs/PortfoliosApi.md#regenerate_user_registration_token) | **POST** /portfolios/{id}/regenerateUserRegistrationToken | Generates a new registration token
*PortfoliosApi* | [**save_spreadsheet_for_portfolio**](docs/PortfoliosApi.md#save_spreadsheet_for_portfolio) | **POST** /portfolios/{portfolioId}/spreadsheet/{spreadsheetId} | Saves spreadsheet for portfolio
*PortfoliosApi* | [**save_spreadsheet_source_for_portfolio**](docs/PortfoliosApi.md#save_spreadsheet_source_for_portfolio) | **POST** /portfolios/{id}/sources/spreadsheet | Save spreadsheet source for a portfolio
*PortfoliosApi* | [**set_custom_names**](docs/PortfoliosApi.md#set_custom_names) | **PUT** /portfolios/{portfolioId}/customNames | Updates custom names for portfolio
*PortfoliosApi* | [**update_portfolio**](docs/PortfoliosApi.md#update_portfolio) | **PATCH** /portfolios/{id} | Update a portfolio.
*PortfoliosApi* | [**update_portfolio_field_values**](docs/PortfoliosApi.md#update_portfolio_field_values) | **PATCH** /portfolios/{id}/fieldValues | Update field values in a portfolio
*PortfoliosApi* | [**update_portfolio_resource_pool_budget_amounts**](docs/PortfoliosApi.md#update_portfolio_resource_pool_budget_amounts) | **PATCH** /portfolios/{id}/resourcePoolBudgetAmounts | (Deprecated. Use updateResourcePoolBudgetAmountsForPortfolioPlan) Update resource pool budget amounts in a portfolio
*ProjectsApi* | [**add_contributing_users_for_project**](docs/ProjectsApi.md#add_contributing_users_for_project) | **POST** /projects/{id}/users | Add users to a project.
*ProjectsApi* | [**create_project**](docs/ProjectsApi.md#create_project) | **POST** /projects | Creates a new project.
*ProjectsApi* | [**delete_project**](docs/ProjectsApi.md#delete_project) | **DELETE** /projects/{id} | Delete a project.
*ProjectsApi* | [**delete_projects**](docs/ProjectsApi.md#delete_projects) | **POST** /projects/delete | Delete projects.
*ProjectsApi* | [**get_project**](docs/ProjectsApi.md#get_project) | **GET** /projects/{id} | Retrieves a project.
*ProjectsApi* | [**get_project_for_portfolio_plan**](docs/ProjectsApi.md#get_project_for_portfolio_plan) | **GET** /projects/{projectId}/portfolioPlan/{portfolioPlanId} | Retrieves a project for a portfolioPlan.
*ProjectsApi* | [**get_projects_for_portfolio**](docs/ProjectsApi.md#get_projects_for_portfolio) | **GET** /projects | Retrieves projects contained within a portfolio. Possible expand paths are - (items.fieldValues, contributingUserIds)
*ProjectsApi* | [**remove_contributing_users_from_project**](docs/ProjectsApi.md#remove_contributing_users_from_project) | **DELETE** /projects/{id}/users | Remove contributing users from a project.
*ProjectsApi* | [**set_project_dependencies**](docs/ProjectsApi.md#set_project_dependencies) | **PUT** /projects/{id}/dependencies | Adds or removes dependsOn and/or dependant linked projects to a project.
*PropertiesApi* | [**get_properties**](docs/PropertiesApi.md#get_properties) | **GET** /properties | Get configuration properties for user if userId and groupId are present, otherwise properties for authenticated user will be returned
*PropertiesApi* | [**set_properties**](docs/PropertiesApi.md#set_properties) | **PUT** /properties | Set configuration properties
*RegistrationApi* | [**register_portfolio_user**](docs/RegistrationApi.md#register_portfolio_user) | **POST** /registerPortfolioUser | Register Portfolio User
*RegistrationApi* | [**register_user**](docs/RegistrationApi.md#register_user) | **POST** /registerUser | Register User
*ReportsApi* | [**get_portfolio_plan_grades_report**](docs/ReportsApi.md#get_portfolio_plan_grades_report) | **GET** /portfolioPlans/{id}/grades/report | Downloads the grades report for a portfolio plan
*ResourcePoolsApi* | [**get_resource_pool**](docs/ResourcePoolsApi.md#get_resource_pool) | **GET** /resourcePools/{id} | Retrieves a resource pool.
*ResourcePoolsApi* | [**get_resource_pools_for_portfolio_plan**](docs/ResourcePoolsApi.md#get_resource_pools_for_portfolio_plan) | **GET** /resourcePools | Fetch resource pools for portfolio plan
*ResourcePoolsApi* | [**update_resource_pool_budget_amounts_for_portfolio_plan**](docs/ResourcePoolsApi.md#update_resource_pool_budget_amounts_for_portfolio_plan) | **PATCH** /resourcePools | Update resource pool budget amounts in a portfolio plan
*SourcesApi* | [**fetch_data_for_source**](docs/SourcesApi.md#fetch_data_for_source) | **GET** /sources/{id}/fetchData | Fetch data for source.
*SourcesApi* | [**send_data_for_source**](docs/SourcesApi.md#send_data_for_source) | **POST** /sources/{id}/sendData | Send data for source.
*SpreadsheetApi* | [**create_spreadsheet**](docs/SpreadsheetApi.md#create_spreadsheet) | **POST** /spreadsheet | 
*SpreadsheetApi* | [**create_spreadsheet_for_kloudless_file**](docs/SpreadsheetApi.md#create_spreadsheet_for_kloudless_file) | **POST** /spreadsheet/kloudless | 
*SpreadsheetApi* | [**delete_spreadsheet**](docs/SpreadsheetApi.md#delete_spreadsheet) | **DELETE** /spreadsheet/{id} | Delete spreadsheet and mappings
*SpreadsheetApi* | [**get_mappings_for_spreadsheet**](docs/SpreadsheetApi.md#get_mappings_for_spreadsheet) | **GET** /spreadsheet/{id}/mappings | 
*SpreadsheetApi* | [**get_spreadsheet**](docs/SpreadsheetApi.md#get_spreadsheet) | **GET** /spreadsheet/{id} | 
*TagsApi* | [**create_tag**](docs/TagsApi.md#create_tag) | **POST** /tags | Creates a new tag
*TagsApi* | [**delete_tag**](docs/TagsApi.md#delete_tag) | **DELETE** /tags/{id} | Delete a single tag
*TagsApi* | [**get_tag**](docs/TagsApi.md#get_tag) | **GET** /tags/{id} | Retrieves a tag
*TagsApi* | [**get_tags_for_portfolio**](docs/TagsApi.md#get_tags_for_portfolio) | **GET** /tags | Retrieves tags for a portfolio
*TagsApi* | [**update_tag**](docs/TagsApi.md#update_tag) | **PATCH** /tags/{id} | Update a single tag
*UserApi* | [**get_user**](docs/UserApi.md#get_user) | **GET** /users/{id} | Get user
*UserApi* | [**get_user_activities**](docs/UserApi.md#get_user_activities) | **GET** /users/{id}/activities | Get user activities
*UserApi* | [**get_user_activities_for_group**](docs/UserApi.md#get_user_activities_for_group) | **GET** /users/activities | Get user activities for group
*UsersApi* | [**create_user**](docs/UsersApi.md#create_user) | **POST** /users | Creates a new user.
*UsersApi* | [**get_users**](docs/UsersApi.md#get_users) | **GET** /users | Get users.


## Documentation For Models

 - [AccessTokenGeneratedEvent](docs/AccessTokenGeneratedEvent.md)
 - [Activities](docs/Activities.md)
 - [Activity](docs/Activity.md)
 - [ActivityType](docs/ActivityType.md)
 - [AddUserRequest](docs/AddUserRequest.md)
 - [AddUsersRequest](docs/AddUsersRequest.md)
 - [AddedToPortfolioMessagePayload](docs/AddedToPortfolioMessagePayload.md)
 - [AddedToPortfolioPlanMessagePayload](docs/AddedToPortfolioPlanMessagePayload.md)
 - [Attachment](docs/Attachment.md)
 - [AttachmentCreatedEvent](docs/AttachmentCreatedEvent.md)
 - [AttachmentDeletedEvent](docs/AttachmentDeletedEvent.md)
 - [AttachmentNameUpdatedEvent](docs/AttachmentNameUpdatedEvent.md)
 - [AttachmentUpdatedMessagePayload](docs/AttachmentUpdatedMessagePayload.md)
 - [Attachments](docs/Attachments.md)
 - [Attributes](docs/Attributes.md)
 - [AuthorizationCodeGeneratedEvent](docs/AuthorizationCodeGeneratedEvent.md)
 - [BalanceFieldDetail](docs/BalanceFieldDetail.md)
 - [BudgetAllocation](docs/BudgetAllocation.md)
 - [BudgetAllocations](docs/BudgetAllocations.md)
 - [CalculationType](docs/CalculationType.md)
 - [CategoryOption](docs/CategoryOption.md)
 - [CategoryOptionAddedMessagePayload](docs/CategoryOptionAddedMessagePayload.md)
 - [CategoryOptionCreatedEvent](docs/CategoryOptionCreatedEvent.md)
 - [CategoryOptionDeletedEvent](docs/CategoryOptionDeletedEvent.md)
 - [CategoryOptionDeletedMessagePayload](docs/CategoryOptionDeletedMessagePayload.md)
 - [CategoryOptionNameUpdatedEvent](docs/CategoryOptionNameUpdatedEvent.md)
 - [CategoryOptionUpdatedMessagePayload](docs/CategoryOptionUpdatedMessagePayload.md)
 - [CategoryOptions](docs/CategoryOptions.md)
 - [Classification](docs/Classification.md)
 - [Classifications](docs/Classifications.md)
 - [Comment](docs/Comment.md)
 - [CommentAddedEvent](docs/CommentAddedEvent.md)
 - [CommentAddedMessagePayload](docs/CommentAddedMessagePayload.md)
 - [CommentDeletedEvent](docs/CommentDeletedEvent.md)
 - [CommentDeletedMessagePayload](docs/CommentDeletedMessagePayload.md)
 - [CommentEditedEvent](docs/CommentEditedEvent.md)
 - [CommentEditedMessagePayload](docs/CommentEditedMessagePayload.md)
 - [Comments](docs/Comments.md)
 - [Constraint](docs/Constraint.md)
 - [ConstraintType](docs/ConstraintType.md)
 - [Constraints](docs/Constraints.md)
 - [CostBudgetAllocation](docs/CostBudgetAllocation.md)
 - [CustomName](docs/CustomName.md)
 - [CustomNameAddedEvent](docs/CustomNameAddedEvent.md)
 - [CustomNameDeletedEvent](docs/CustomNameDeletedEvent.md)
 - [CustomNameGroupType](docs/CustomNameGroupType.md)
 - [CustomNameType](docs/CustomNameType.md)
 - [CustomNameUpdatedEvent](docs/CustomNameUpdatedEvent.md)
 - [CustomNames](docs/CustomNames.md)
 - [CustomNamesUpdatedMessagePayload](docs/CustomNamesUpdatedMessagePayload.md)
 - [DataType](docs/DataType.md)
 - [DataUpdatedMessagePayload](docs/DataUpdatedMessagePayload.md)
 - [DlCollection](docs/DlCollection.md)
 - [DlResource](docs/DlResource.md)
 - [DlcPortfolio](docs/DlcPortfolio.md)
 - [DraftProjectsSubmittedMessagePayload](docs/DraftProjectsSubmittedMessagePayload.md)
 - [ErrorResponse](docs/ErrorResponse.md)
 - [ExpandComponent](docs/ExpandComponent.md)
 - [ExportFormatType](docs/ExportFormatType.md)
 - [ExportType](docs/ExportType.md)
 - [Field](docs/Field.md)
 - [FieldCalculationTypeUpdatedEvent](docs/FieldCalculationTypeUpdatedEvent.md)
 - [FieldCategoryOptionsUpdatedEvent](docs/FieldCategoryOptionsUpdatedEvent.md)
 - [FieldCreatedEvent](docs/FieldCreatedEvent.md)
 - [FieldCreatedMessagePayload](docs/FieldCreatedMessagePayload.md)
 - [FieldDataTypeUpdatedEvent](docs/FieldDataTypeUpdatedEvent.md)
 - [FieldDeletedEvent](docs/FieldDeletedEvent.md)
 - [FieldDescriptionUpdatedEvent](docs/FieldDescriptionUpdatedEvent.md)
 - [FieldGrade](docs/FieldGrade.md)
 - [FieldGrades](docs/FieldGrades.md)
 - [FieldIdeaFieldPositionUpdatedEvent](docs/FieldIdeaFieldPositionUpdatedEvent.md)
 - [FieldIsFieldTypeApprovedUpdatedEvent](docs/FieldIsFieldTypeApprovedUpdatedEvent.md)
 - [FieldIsIdeaFieldRequiredUpdatedEvent](docs/FieldIsIdeaFieldRequiredUpdatedEvent.md)
 - [FieldIsIdeaFieldUpdatedEvent](docs/FieldIsIdeaFieldUpdatedEvent.md)
 - [FieldNameUpdatedEvent](docs/FieldNameUpdatedEvent.md)
 - [FieldPositionUpdatedEvent](docs/FieldPositionUpdatedEvent.md)
 - [FieldTagAddedEvent](docs/FieldTagAddedEvent.md)
 - [FieldTagRemovedEvent](docs/FieldTagRemovedEvent.md)
 - [FieldTargetTypeUpdatedEvent](docs/FieldTargetTypeUpdatedEvent.md)
 - [FieldType](docs/FieldType.md)
 - [FieldTypePositionUpdatedEvent](docs/FieldTypePositionUpdatedEvent.md)
 - [FieldTypeUpdatedEvent](docs/FieldTypeUpdatedEvent.md)
 - [FieldValue](docs/FieldValue.md)
 - [FieldValuePatchItem](docs/FieldValuePatchItem.md)
 - [FieldValues](docs/FieldValues.md)
 - [FieldValuesCollectionInfo](docs/FieldValuesCollectionInfo.md)
 - [FieldValuesUpdatedMessagePayload](docs/FieldValuesUpdatedMessagePayload.md)
 - [Fields](docs/Fields.md)
 - [FieldsDeletedMessagePayload](docs/FieldsDeletedMessagePayload.md)
 - [FieldsUpdatedMessagePayload](docs/FieldsUpdatedMessagePayload.md)
 - [FileAttachment](docs/FileAttachment.md)
 - [Grade](docs/Grade.md)
 - [GradingType](docs/GradingType.md)
 - [Group](docs/Group.md)
 - [Groups](docs/Groups.md)
 - [Header](docs/Header.md)
 - [IdeaFormFieldRequest](docs/IdeaFormFieldRequest.md)
 - [ImportType](docs/ImportType.md)
 - [KloudlessFile](docs/KloudlessFile.md)
 - [LikertScaleFieldInsight](docs/LikertScaleFieldInsight.md)
 - [LikertScaleInsight](docs/LikertScaleInsight.md)
 - [LikertScaleType](docs/LikertScaleType.md)
 - [Mail](docs/Mail.md)
 - [Mapping](docs/Mapping.md)
 - [Mappings](docs/Mappings.md)
 - [Message](docs/Message.md)
 - [MessageDestinationType](docs/MessageDestinationType.md)
 - [MessageToken](docs/MessageToken.md)
 - [MessageType](docs/MessageType.md)
 - [MinifiedFieldValue](docs/MinifiedFieldValue.md)
 - [MinifiedProject](docs/MinifiedProject.md)
 - [MinifiedProjects](docs/MinifiedProjects.md)
 - [MinifiedYearlyFieldValue](docs/MinifiedYearlyFieldValue.md)
 - [ModelProperty](docs/ModelProperty.md)
 - [NotificationsMessagePayload](docs/NotificationsMessagePayload.md)
 - [Operation](docs/Operation.md)
 - [OperationType](docs/OperationType.md)
 - [Operations](docs/Operations.md)
 - [PatchItem](docs/PatchItem.md)
 - [Permission](docs/Permission.md)
 - [PermissionType](docs/PermissionType.md)
 - [Permissions](docs/Permissions.md)
 - [PlanGrade](docs/PlanGrade.md)
 - [PlanType](docs/PlanType.md)
 - [Portfolio](docs/Portfolio.md)
 - [PortfolioArchivedEvent](docs/PortfolioArchivedEvent.md)
 - [PortfolioArchivedMessagePayload](docs/PortfolioArchivedMessagePayload.md)
 - [PortfolioBudgetTimePeriodTypeUpdatedEvent](docs/PortfolioBudgetTimePeriodTypeUpdatedEvent.md)
 - [PortfolioCreatedEvent](docs/PortfolioCreatedEvent.md)
 - [PortfolioIsMonthlySpendPlanUpdatedEvent](docs/PortfolioIsMonthlySpendPlanUpdatedEvent.md)
 - [PortfolioNameUpdatedEvent](docs/PortfolioNameUpdatedEvent.md)
 - [PortfolioPlan](docs/PortfolioPlan.md)
 - [PortfolioPlanCreatedEvent](docs/PortfolioPlanCreatedEvent.md)
 - [PortfolioPlanDataImportedEvent](docs/PortfolioPlanDataImportedEvent.md)
 - [PortfolioPlanDeletedEvent](docs/PortfolioPlanDeletedEvent.md)
 - [PortfolioPlanDescriptionUpdatedEvent](docs/PortfolioPlanDescriptionUpdatedEvent.md)
 - [PortfolioPlanGrade](docs/PortfolioPlanGrade.md)
 - [PortfolioPlanGrades](docs/PortfolioPlanGrades.md)
 - [PortfolioPlanInsights](docs/PortfolioPlanInsights.md)
 - [PortfolioPlanNameUpdatedEvent](docs/PortfolioPlanNameUpdatedEvent.md)
 - [PortfolioPlanRebaselinedEvent](docs/PortfolioPlanRebaselinedEvent.md)
 - [PortfolioPlanUser](docs/PortfolioPlanUser.md)
 - [PortfolioPlanUserCreatedMessagePayload](docs/PortfolioPlanUserCreatedMessagePayload.md)
 - [PortfolioPlanUserCreatedV2Event](docs/PortfolioPlanUserCreatedV2Event.md)
 - [PortfolioPlanUserDeletedEvent](docs/PortfolioPlanUserDeletedEvent.md)
 - [PortfolioPlanUserDeletedMessagePayload](docs/PortfolioPlanUserDeletedMessagePayload.md)
 - [PortfolioPlanUserDraftProjectIdsUpdatedEvent](docs/PortfolioPlanUserDraftProjectIdsUpdatedEvent.md)
 - [PortfolioPlanUserFieldPermissionsUpdatedEvent](docs/PortfolioPlanUserFieldPermissionsUpdatedEvent.md)
 - [PortfolioPlanUserProjectPermissionsUpdatedEvent](docs/PortfolioPlanUserProjectPermissionsUpdatedEvent.md)
 - [PortfolioPlanUserRole](docs/PortfolioPlanUserRole.md)
 - [PortfolioPlanUserRolesUpdatedNewEvent](docs/PortfolioPlanUserRolesUpdatedNewEvent.md)
 - [PortfolioPlanUserUpdatedMessagePayload](docs/PortfolioPlanUserUpdatedMessagePayload.md)
 - [PortfolioPlanUsers](docs/PortfolioPlanUsers.md)
 - [PortfolioPlanWithProjects](docs/PortfolioPlanWithProjects.md)
 - [PortfolioPlans](docs/PortfolioPlans.md)
 - [PortfolioPlansUpdatedMessagePayload](docs/PortfolioPlansUpdatedMessagePayload.md)
 - [PortfolioPlansWithProjects](docs/PortfolioPlansWithProjects.md)
 - [PortfolioTimeIntervalUpdatedEvent](docs/PortfolioTimeIntervalUpdatedEvent.md)
 - [PortfolioUpdatedMessagePayload](docs/PortfolioUpdatedMessagePayload.md)
 - [PortfolioUserRegistrationTokenUpdatedEvent](docs/PortfolioUserRegistrationTokenUpdatedEvent.md)
 - [Portfolios](docs/Portfolios.md)
 - [Project](docs/Project.md)
 - [ProjectAccessGrantedMessagePayload](docs/ProjectAccessGrantedMessagePayload.md)
 - [ProjectAccessRevokedMessagePayload](docs/ProjectAccessRevokedMessagePayload.md)
 - [ProjectAttachmentAddedEvent](docs/ProjectAttachmentAddedEvent.md)
 - [ProjectAttachmentAddedMessagePayload](docs/ProjectAttachmentAddedMessagePayload.md)
 - [ProjectAttachmentRemovedEvent](docs/ProjectAttachmentRemovedEvent.md)
 - [ProjectAttachmentRemovedMessagePayload](docs/ProjectAttachmentRemovedMessagePayload.md)
 - [ProjectContributingUserAddedEvent](docs/ProjectContributingUserAddedEvent.md)
 - [ProjectContributingUserDeletedEvent](docs/ProjectContributingUserDeletedEvent.md)
 - [ProjectContributorsUpdatedMessagePayload](docs/ProjectContributorsUpdatedMessagePayload.md)
 - [ProjectCreatedEvent](docs/ProjectCreatedEvent.md)
 - [ProjectDeletedEvent](docs/ProjectDeletedEvent.md)
 - [ProjectDependenciesUpdatedMessagePayload](docs/ProjectDependenciesUpdatedMessagePayload.md)
 - [ProjectDependsOnAddedEvent](docs/ProjectDependsOnAddedEvent.md)
 - [ProjectDependsOnRemovedEvent](docs/ProjectDependsOnRemovedEvent.md)
 - [ProjectFieldValue](docs/ProjectFieldValue.md)
 - [ProjectFieldValueDeletedEvent](docs/ProjectFieldValueDeletedEvent.md)
 - [ProjectFieldValueUpdatedEvent](docs/ProjectFieldValueUpdatedEvent.md)
 - [ProjectPortfolioPlanDeletedEvent](docs/ProjectPortfolioPlanDeletedEvent.md)
 - [ProjectPortfolioPlanFieldValueDeletedEvent](docs/ProjectPortfolioPlanFieldValueDeletedEvent.md)
 - [ProjectPortfolioPlanFieldValueUpdatedEvent](docs/ProjectPortfolioPlanFieldValueUpdatedEvent.md)
 - [ProjectPortfolioPlanFieldValuesCopiedEvent](docs/ProjectPortfolioPlanFieldValuesCopiedEvent.md)
 - [ProjectPortfolioPlanIsDraftUpdatedEvent](docs/ProjectPortfolioPlanIsDraftUpdatedEvent.md)
 - [ProjectSummary](docs/ProjectSummary.md)
 - [ProjectTagAddedEvent](docs/ProjectTagAddedEvent.md)
 - [ProjectTagRemovedEvent](docs/ProjectTagRemovedEvent.md)
 - [Projects](docs/Projects.md)
 - [ProjectsCreatedMessagePayload](docs/ProjectsCreatedMessagePayload.md)
 - [ProjectsDeletedMessagePayload](docs/ProjectsDeletedMessagePayload.md)
 - [Properties](docs/Properties.md)
 - [PropertyName](docs/PropertyName.md)
 - [Recommendation](docs/Recommendation.md)
 - [RecommendationType](docs/RecommendationType.md)
 - [Recommendations](docs/Recommendations.md)
 - [RegisterUserRequest](docs/RegisterUserRequest.md)
 - [RemoveContributingUsersRequest](docs/RemoveContributingUsersRequest.md)
 - [RemovedFromPortfolioMessagePayload](docs/RemovedFromPortfolioMessagePayload.md)
 - [RemovedFromPortfolioPlanMessagePayload](docs/RemovedFromPortfolioPlanMessagePayload.md)
 - [ResourcePool](docs/ResourcePool.md)
 - [ResourcePoolBudgetAmount](docs/ResourcePoolBudgetAmount.md)
 - [ResourcePoolBudgetAmountPatchItem](docs/ResourcePoolBudgetAmountPatchItem.md)
 - [ResourcePoolBudgetAmountUpdatedEvent](docs/ResourcePoolBudgetAmountUpdatedEvent.md)
 - [ResourcePoolBudgetAmounts](docs/ResourcePoolBudgetAmounts.md)
 - [ResourcePoolCreatedEvent](docs/ResourcePoolCreatedEvent.md)
 - [ResourcePoolDeletedEvent](docs/ResourcePoolDeletedEvent.md)
 - [ResourcePoolNameUpdatedEvent](docs/ResourcePoolNameUpdatedEvent.md)
 - [ResourcePoolPlanBudgetAmountUpdatedEvent](docs/ResourcePoolPlanBudgetAmountUpdatedEvent.md)
 - [ResourcePoolPlanBudgetCopiedEvent](docs/ResourcePoolPlanBudgetCopiedEvent.md)
 - [ResourcePools](docs/ResourcePools.md)
 - [ResourcePoolsCreatedMessagePayload](docs/ResourcePoolsCreatedMessagePayload.md)
 - [ResourcePoolsDeletedMessagePayload](docs/ResourcePoolsDeletedMessagePayload.md)
 - [ResourcePoolsUpdatedMessagePayload](docs/ResourcePoolsUpdatedMessagePayload.md)
 - [RiskFieldDetail](docs/RiskFieldDetail.md)
 - [RiskType](docs/RiskType.md)
 - [RoleType](docs/RoleType.md)
 - [Row](docs/Row.md)
 - [SchedulingCriteria](docs/SchedulingCriteria.md)
 - [SetDependenciesRequest](docs/SetDependenciesRequest.md)
 - [Sheet](docs/Sheet.md)
 - [Sheets](docs/Sheets.md)
 - [Source](docs/Source.md)
 - [SourceCreatedEvent](docs/SourceCreatedEvent.md)
 - [SourceDeletedEvent](docs/SourceDeletedEvent.md)
 - [SourceNameUpdatedEvent](docs/SourceNameUpdatedEvent.md)
 - [SourceType](docs/SourceType.md)
 - [Spreadsheet](docs/Spreadsheet.md)
 - [SpreadsheetReport](docs/SpreadsheetReport.md)
 - [SpreadsheetReportProgress](docs/SpreadsheetReportProgress.md)
 - [SpreadsheetReportProgressMessagePayload](docs/SpreadsheetReportProgressMessagePayload.md)
 - [SpreadsheetReportProgressStatus](docs/SpreadsheetReportProgressStatus.md)
 - [SubPortfolioAddedEvent](docs/SubPortfolioAddedEvent.md)
 - [SubPortfolioRemovedEvent](docs/SubPortfolioRemovedEvent.md)
 - [Tag](docs/Tag.md)
 - [TagAddedMessagePayload](docs/TagAddedMessagePayload.md)
 - [TagColorUpdatedEvent](docs/TagColorUpdatedEvent.md)
 - [TagCreatedEvent](docs/TagCreatedEvent.md)
 - [TagDeletedEvent](docs/TagDeletedEvent.md)
 - [TagDeletedMessagePayload](docs/TagDeletedMessagePayload.md)
 - [TagNameUpdatedEvent](docs/TagNameUpdatedEvent.md)
 - [TagParentUpdatedEvent](docs/TagParentUpdatedEvent.md)
 - [TagUpdatedMessagePayload](docs/TagUpdatedMessagePayload.md)
 - [Tags](docs/Tags.md)
 - [TargetType](docs/TargetType.md)
 - [TemplateProperty](docs/TemplateProperty.md)
 - [TimeInterval](docs/TimeInterval.md)
 - [TimePeriod](docs/TimePeriod.md)
 - [TimePeriodType](docs/TimePeriodType.md)
 - [ToastMessagePayload](docs/ToastMessagePayload.md)
 - [User](docs/User.md)
 - [UserAddedEvent](docs/UserAddedEvent.md)
 - [UserApprovalAddedEvent](docs/UserApprovalAddedEvent.md)
 - [UserAuthenticatedEvent](docs/UserAuthenticatedEvent.md)
 - [UserGroupAddedEvent](docs/UserGroupAddedEvent.md)
 - [UserRegistrationToken](docs/UserRegistrationToken.md)
 - [UserStatus](docs/UserStatus.md)
 - [Users](docs/Users.md)
 - [ValidConstraintValue](docs/ValidConstraintValue.md)
 - [ValueCount](docs/ValueCount.md)
 - [ValueCounts](docs/ValueCounts.md)
 - [ValueInsights](docs/ValueInsights.md)
 - [Warnings](docs/Warnings.md)
 - [WhatsIn](docs/WhatsIn.md)
 - [Wiwo](docs/Wiwo.md)


## Documentation For Authorization


## OAuth2

- **Type**: OAuth
- **Flow**: application
- **Authorization URL**: 
- **Scopes**: 
 - **readwrite**: readwrite access


## Author



